Package org.apache.commons.io.filefilter

# Class WildcardFileFilter.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<WildcardFileFilter,WildcardFileFilter.Builder>
org.apache.commons.io.filefilter.WildcardFileFilter.Builder

All Implemented Interfaces:
  `IOSupplier<WildcardFileFilter>`

Enclosing class:
  `WildcardFileFilter`

public static class WildcardFileFilter.Builder extends AbstractSupplier<WildcardFileFilter,WildcardFileFilter.Builder>
Builds a new `WildcardFileFilter` instance.

Since:
  2.12.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WildcardFileFilter`
  `get()`
  Gets a result.
  `WildcardFileFilter.Builder`
  `setIoCase(IOCase ioCase)`
  Sets how to handle case sensitivity, null means case-sensitive.
  `WildcardFileFilter.Builder`
  `setWildcards(String... wildcards)`
  Sets the wildcards to match, not null.
  `WildcardFileFilter.Builder`
  `setWildcards(List<String> wildcards)`
  Sets the list of wildcards to match, not null.

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public WildcardFileFilter get()
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result

  - ### setIoCase

    public WildcardFileFilter.Builder setIoCase(IOCase ioCase)
    Sets how to handle case sensitivity, null means case-sensitive.
    Parameters:
      `ioCase` - how to handle case sensitivity, null means case-sensitive.
    Returns:
      this

  - ### setWildcards

    public WildcardFileFilter.Builder setWildcards(List<String> wildcards)
    Sets the list of wildcards to match, not null.
    Parameters:
      `wildcards` - the list of wildcards to match, not null.
    Returns:
      this

  - ### setWildcards

    public WildcardFileFilter.Builder setWildcards(String... wildcards)
    Sets the wildcards to match, not null.
    Parameters:
      `wildcards` - the wildcards to match, not null.
    Returns:
      this